bots.memoryBot
GET
/v1/bots/{botId}/memory/bot
Reads the settings of the memory Bot that keeps the memory of this Bot. It needs bots.write on a Bot that is not linked.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”botId
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
object
instructions
required
string
concurrency
integer
budget
object
period
required
string
limitMicros
required
integer
revision
required
integer
Example
{ "budget": { "period": "day" }}BotInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}PermissionDenied | MembershipRequired | ForbiddenOrigin
BotNotFound
Media typeapplication/json
object
_tag
required
string
bot
required
string
Example
{ "_tag": "BotNotFound"}BotConflict
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "BotConflict"}RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}AuthorizationUnavailable | BotStorageUnavailable | AuthenticationUnavailable